#include ONCE "window9.bi"

sub SetItemListBox (iGadget as Long , iItem as Long) export
	
	dim as Hwnd listbox = GadgetId(iGadget)	
	
	dim as GtkTreeSelection ptr selection = gtk_tree_view_get_selection (cast(any ptr,listbox))

	dim as GtkTreePath ptr path = gtk_tree_path_new_from_indices(iItem, -1)

	gtk_tree_selection_select_path(selection, path)

	gtk_tree_view_set_cursor(cast(any ptr , listbox), path, NULL , False)

	gtk_tree_path_free(path)	
	
End sub